#
# spec file for package libmcrypt (Version 2.4.20)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         libmcrypt
License:      GPL, Other License(s), see package
Group:        System/Libraries
Autoreqprov:  on
Provides:     libmcrypt
Obsoletes:    libmcrpt
Version:      2.4.20
Release:      114
Summary:      Data encryption library
Source:       libmcrypt-%{version}.tar.bz2
Source1:      libmcrypt-idea-0.9.tar.bz2
Source2:      libmcrypt-mars-0.9.tar.bz2
Source3:      libmcrypt-rc6-0.9.tar.bz2
Source4:      libmcrypt-skipjack-0.9.tar.bz2
Patch:        libmcrypt-%{version}.dif
Patch1:       libmcrypt-%{version}-strcpy.dif
URL:          http://mcrypt.hellug.gr/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
libmcrypt  is a data encryption library.  The library
is thread safe  and  provides  encryption  and  decryption
functions.   This  version  of  the  library supports many
encryption algorithms and  encryption  modes.  Some  algorithms
which are supported: SERPENT, RIJNDAEL, 3DES, GOST,
SAFER+, CAST-256, RC2, XTEA, 3WAY, TWOFISH, BLOWFISH, ARC.
FOUR, WAKE and more.

Authors:
--------
    Nikos Mavroyanopoulos <nmav@hellug.gr>

SuSE series: sec

%package -n libmcrypt-devel
Summary:      Development package for libmcrypt
Group:        Development/Libraries/C and C++
Requires:     libmcrypt
Provides:     libmcrypt-devel
Obsoletes:    libmcrpd

%description -n libmcrypt-devel
Files needed for software development using libmcrpt.

Authors:
--------
    Nikos Mavroyanopoulos <nmav@hellug.gr>

SuSE series: d

%prep
%setup -n libmcrypt-%{version} -a 1 -a 2 -a 3 -a 4 
%patch
%patch1

%build
libtoolize --force --ltdl
%{suse_update_config -f}
for f in idea-0.* mars-0.*  rc6-0.* skipjack-0.*; do
  m=`echo $f | awk -F '-' '{print $1}'`
  cp libmcrypt-$f/modules/algorithms/*.[ch] modules/algorithms
  cp libmcrypt-$f/doc/README* doc/README.$m
  cat modules/algorithms/Makefile.am | \
    sed "s/^EXTRA_DIST = /EXTRA_DIST = $m.h /" | \
    sed "s/^pkglib_LTLIBRARIES = /pkglib_LTLIBRARIES = $m.la /" \
    > modules/algorithms/Makefile.am2
  mv modules/algorithms/Makefile.am2 modules/algorithms/Makefile.am
  echo "${m}_la_SOURCES = $m.c" >> modules/algorithms/Makefile.am
  echo "${m}_la_LDFLAGS = -module -avoid-version" >> modules/algorithms/Makefile.am
done
remove_module() {
  cd modules/algorithms;
  for mname in $*; do
    fname=`echo $mname | sed 's/-/_/'`
    sed -e "/${fname}_la/d" -e "s/${mname}.h//" -e "s/${mname}.la//" Makefile.am > Makefile.am2;
    mv Makefile.am2 Makefile.am
  done
  cd -
}
# remove algorithms which do not work
# big endian architectures
%ifarch sparc ppc s390 
remove_module panama rc6
%endif
# 64bit architectures and s390
%ifarch alpha ia64 s390
remove_module cast-256 mars rc6
%endif
aclocal 
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --enable-static
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS ChangeLog KNOWN-BUGS NEWS README THANKS TODO doc/README.*
%dir /usr/lib/libmcrypt/
/usr/lib/libmcrypt.so*
/usr/lib/libmcrypt/*.so
/usr/lib/libmcrypt/*.la

%files -n libmcrypt-devel
%doc doc/example.c
/usr/bin/*
/usr/share/aclocal/*
/usr/include/mcrypt.h
/usr/lib/libmcrypt.a
/usr/lib/libmcrypt.la
/usr/lib/libmcrypt/*.a
%doc %{_mandir}/man3/*

%changelog -n libmcrypt
* Mon Jan 20 2003 - tcrhak@suse.cz
- fixed a buffer overflow bug (patch strcpy)
* Mon Feb 25 2002 - tcrhak@suse.cz
- moved *.la from the devel to the main package; needed by
  mcrypt_list_algorithms() and mcrypt_list_modes()
* Tue Jan 29 2002 - cihlar@suse.cz
- added /usr/bin/* and /usr/share/aclocal/* to %%files
* Fri Jan 25 2002 - cihlar@suse.cz
- updated libmcrypt to version 2.4.20
- updated all modules to version 0.9
- removed obsolete patches for rc6 and mars
- run suse_update_config always
- added "make check"
- fixed lists of algorithms which do not work on each
  architecture
- compile with $RPM_OPT_FLAGS also on ia64
* Thu Aug 23 2001 - schwab@suse.de
- Fix integration of MARS and RC6.
- Compile with -O1 on ia64 to workaround compiler bug.
- Update libltdl directory.
- Configure with --enable-static to get static modules.
* Wed Aug 08 2001 - cihlar@suse.cz
- completed MODULES list
- fix to work only with existing modules
  from MODULES
* Mon Jul 16 2001 - kukuk@suse.de
- Build all modules on SPARC again
* Wed Jun 27 2001 - pblaha@suse.cz
- update on 2.4.15
- fix problem with make static lib
* Mon Mar 26 2001 - pblaha@suse.cz
- update on 2.4.10
* Thu Feb 01 2001 - pblaha@suse.cz
- update on 2.4.9
* Wed Jan 24 2001 - pblaha@suse.cz
- update on 2.4.8
* Tue Nov 21 2000 - pblaha@suse.cz
- update on 2.4.7
* Wed Sep 13 2000 - fober@suse.de
- for s390: %%suse_update_config in %%setup
- removed mars idea rc6 cast-256 on s390
- removed wake on s390: this one is especially strange: its only
  modes: line in the test says ,,failed'', yet the algorithm-lines say
  ,,ok''!
* Mon Jun 26 2000 - uli@suse.de
- removed rc6 and idea for PPC
* Sun Jun 04 2000 - kukuk@suse.de
- Remove algorithms which does not work correctly on SPARC
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon Apr 17 2000 - bubnikv@suse.cz
- added addon cipher algorithms
- some cipher algorithms do not work correctly on axp,
  those are removed from package on axp
* Fri Apr 07 2000 - bubnikv@suse.cz
- new package (version 2.4.2)
